function [] = runPreview30x100(musArr44, corArr12, corStrArr, startClick0, endClick0)
    % cntArr60x100 er n x 2 x 100
    % Plotter i fig 2
    
    [cntArr30x100] = makeCntArr30x100(corArr12, startClick0, endClick0);
    
    fs = 44100;
    fN = 30;
    
    startFsSample = cl2sa(corStrArr, startClick0);
    endFsSample = cl2sa(corStrArr, endClick0);
    
    musClickSum = 0.5* musArr44(startFsSample:endFsSample, :);
    
    framePerSec = fs/fN;
    sampDiffTime = framePerSec/fs;
    
    figure(2);
    clf;
    
    [F, V] = agent2(0, 0);
    h1 = plotPoly(F(1:end/2, :), V, 'dark', 'edgeOff', 'col', [1 0.5 0.5]);
    h2 = plotPoly(F(end/2+1:end, :), V, 'dark', 'edgeOff', 'col', [0.8 0.5 1]);
    
    for indi = 1 : 1
        
        %player = audioplayer(musClickSum, fs);
        %play(player);
        sound(musClickSum, fs);
        
        cl = clock;
        cl = cl(4)*60*60 + cl(5)*60 + cl(6);
        
        
        iAgent = 1;
        for i = startFsSample : framePerSec : endFsSample
            
            % Pause
            del = 0;
            cl_old = cl;
            while del < sampDiffTime
                cl = clock;
                cl = cl(4)*60*60 + cl(5)*60 + cl(6);
                del = cl - cl_old;
            end
            
            [~, V] = agent2(cntArr30x100(iAgent, 1, indi), cntArr30x100(iAgent, 2, indi));
            iAgent = iAgent + 1;
            
            set(h1, 'Vertices', V);
            set(h2, 'Vertices', V);
            
            axis([-1 1 0 1 -1 1]);
            view(0,90);
            drawnow;
        end
        
        pause(1);
        %stop(player);
        
    end
    %close(2);
    
    figure(1);
    
    
end